ayucat on Rails in old days

Limited IDs Eager Loadingのとりこでした。

2008-06-18

Rails 2.1.0でRuby-GetText 1.91を使うとエラー

| 01:07 |  Rails 2.1.0でRuby-GetText 1.91を使うとエラー - ayucat on Rails in old days を含むブックマーク はてなブックマーク -  Rails 2.1.0でRuby-GetText 1.91を使うとエラー - ayucat on Rails in old days

既に多数の報告が出ていますが、私の聞いた話だとさらに、別のエラーも起こるようです。

Windows上で、WEBrickを使っている場合に起こっていますが、他の環境でも同じことが起きているかもしれません。

C:\>ruby script/server
=> Booting WEBrick...
c:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.1.0/lib/active_support/dependencies.rb:492:in `const_missing': uninitialized constant ApplicationController::GetText (NameError)
        from C:/code/nrmss/app/controllers/application.rb:12
        from c:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.1.0/lib/active_support/dependencies.rb:215:in `load_without_new_constant_marking'
        from c:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.1.0/lib/active_support/dependencies.rb:215:in `load_file'
        from c:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.1.0/lib/active_support/dependencies.rb:354:in `new_constants_in'
        from c:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.1.0/lib/active_support/dependencies.rb:214:in `load_file'
        from c:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.1.0/lib/active_support/dependencies.rb:95:in `require_or_load'
        from c:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.1.0/lib/active_support/dependencies.rb:60:in `depend_on'
        from c:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.1.0/lib/active_support/dependencies.rb:456:in `require_dependency'
         ... 26 levels...
        from c:/ruby/lib/ruby/gems/1.8/gems/rails-2.1.0/lib/commands/server.rb:39
        from c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'
        from c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'
        from script/server:3

ひとまず、Rails 2.0.2に戻すように教えましたが、前向きな解決方法は見つかっていません。(そもそも見つける暇がなかった)

なので、詳細については、後日。

ゲスト



トラックバック - http://rails.g.hatena.ne.jp/ayucat_on_tabelog/20080618